{% extends 'base.html.twig' %}

{% block title %}Classes index{% endblock %}

{% block body %}
<h1 class="my-5 text-center">Classes</h1>

    <div class="row">
        <div class="col-md-10 offset-md-1 col-sm-12">
            <table class="table table-striped">
                <thead class="thead-dark">
                    <tr>
                        <th>Name</th>
                        <th>actions</th>
                    </tr>
                </thead>
                <tbody>
                    {% for group in groups %}
                        <tr>
                            <td>{{ group.name }}</td>
                            <td>
                                <a href="{{ path('professor_student_group_index', {'id': group.id}) }}" class="btn btn-info">Students</a>
                                <a href="{{ path('professor_exercise_group_index', {'id': group.id}) }}" class="btn btn-info">Exercises</a>
                                <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modalAddExercises{{ group.id }}">add exercises</button>

                                    <!-- Modal -->
                                    <div class="modal fade" id="modalAddExercises{{ group.id }}" tabindex="-1" role="dialog" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-scrollable" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalScrollableTitle">Exercises available</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <form id="modalFormAddExercises{{ group.id }}" action="{{ path('professor_group_addExercises',{'id': group.id}) }}" method="post">
                                                        {% if app.user.subject is not null %}
                                                            {% for exercise in app.user.subject.exercises | exercisesAvailable(group.id, app.user) %}
                                                                <div class="container form-check w-100">
                                                                    <div class="row">
                                                                        <label class="col-10 form-check-label d-inline" for="checkbox-{{ exercise.id }}">{{ exercise.name }}</label>
                                                                        <input class="col-2" type="checkbox" value="" id="checkbox-{{ exercise.id }}" name="checkbox-{{ exercise.id }}">
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                            {% else %}
                                                                <div>no exercise available</div>
                                                            {% endfor %}
                                                        {% endif %}
                                                    </form>
                                                </div>
                                                <div class="modal-footer">
                                                    <button data-group="{{ group.id }}" type="button" class="submitButtonFormModal btn btn-info">Save changes</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="3">no records found</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}
